<?php

// Theme Name
$theme_name = 'zeeMagazin';
define('THEME_INFO', 'http://themezee.com/zeeMagazine');

//Content Width
$content_width = 580;

//Load Javascripts
if ( !is_admin() ) { // instruction to only load if it is not the admin area
	wp_register_script('jquery-theme', get_bloginfo('template_directory') .'/includes/js/jquery-1.4.2.min.js');
	wp_enqueue_script('jquery-theme');
	wp_register_script('jquery-ui-min', get_bloginfo('template_directory') .'/includes/js/jquery-ui-1.7.2.custom.min.js');
	wp_enqueue_script('jquery-ui-min');
	wp_register_script('jquery-easing', get_bloginfo('template_directory') .'/includes/js/jquery.easing.1.3.js');
	wp_enqueue_script('jquery-easing');
	wp_register_script('jquery-cycle', get_bloginfo('template_directory') .'/includes/js/jquery.cycle.all.min.js');
	wp_enqueue_script('jquery-cycle');
	wp_register_script('slidemenu', get_bloginfo('template_directory') .'/includes/js/jquery.slidemenu.js');
	wp_enqueue_script('slidemenu');
}

// init Localization
define('ZEE_LANG', 'zeeMagazin');
load_theme_textdomain(ZEE_LANG, TEMPLATEPATH . '/includes/lang');

// include Admin Files
require_once (TEMPLATEPATH . '/includes/admin/theme-functions.php');
require_once (TEMPLATEPATH . '/includes/admin/theme-settings.php');
require_once (TEMPLATEPATH . '/includes/admin/theme-admin.php');

// Add Admin Functions
add_action('wp_head', 'theme_wp_head');
add_action('admin_menu', 'theme_admin');

// Add Theme Functions
add_theme_support('post-thumbnails');
add_theme_support('automatic-feed-links');
add_custom_background();

// Register Sidebars
if ( function_exists('register_sidebar') ) {
	register_sidebar(array('name' => 'Sidebar Blog','id' => 'sidebar-blog'));
	register_sidebar(array('name' => 'Sidebar Pages','id' => 'sidebar-pages'));
	register_sidebar(array('name' => 'Footer','id' => 'sidebar-footer'));
}

// Register Menus
if ( function_exists( 'register_nav_menu' ) ) {
	register_nav_menu( 'top_navi', 'Top Navigation' );
	register_nav_menu( 'main_navi', 'Main Navigation' );
}

function display_pages() {
    echo '<ul>';
    wp_list_categories('title_li=&depth=1&number=4');
    echo '</ul>';
}

// include Plugin Files
require_once (TEMPLATEPATH . '/includes/shortcodes/shortcodes.php');
require_once (TEMPLATEPATH . '/includes/plugins/theme_ads_widget.php');

?>