<?php
$settings = array();
global $settings;

$stylesheet_path = TEMPLATEPATH . '/includes/styles/';

$stylesheets = array();
if ( is_dir($stylesheet_path) ) {
	if ($stylesheet_dir = opendir($stylesheet_path) ) { 
		while ( ($stylesheet_file = readdir($stylesheet_dir)) !== false ) {
			if(stristr($stylesheet_file, ".css") !== false) {
				$stylesheets[] = substr($stylesheet_file, 0, -4);
			}
		}
		$stylesheets[] = 'custom-color';
	}
}

$slider_mode = array('Horizontal Slider', 'DropDown Slider', 'Fade Slider');
$slider_content = array(__('Show latest posts', ZEE_LANG), 
						__('Show latest posts from category "featured"', ZEE_LANG), 
						__('Show latest posts with post_meta_key "featured"', ZEE_LANG), 
						__('Show latest posts from custom category(enter ID below)', ZEE_LANG));

#####################################################################
$settings[] = array("name" => __('Theme Settings', ZEE_LANG),
					"type" => "head");
					
$settings[] = array("name" => "Logo",
					"desc" => __('Paste the full URL of your logo image or upload your logo.', ZEE_LANG),
					"id" => "themeZee_logo",
					"std" => "",
					"type" => "logo");

$settings[] = array("name" => "Google Analytics",
					"desc" => __('Please paste your Google Analytics(or other) tracking code here.', ZEE_LANG),
					"id" => "themeZee_analytics",
					"std" => "",
					"type" => "textarea");		
					
$settings[] = array("name" => __('Footer Content', ZEE_LANG),
					"desc" => __('Enter here the content which is displayed in the footer', ZEE_LANG),
					"id" => "themeZee_footer",
					"std" => "",
					"type" => "textarea");

$settings[] = array("type" => "end");

#####################################################################
$settings[] = array("name" => "Theme Layout",
					"type" => "head");
					
$settings[] = array("name" => "Theme Style",
					"desc" => __('Please select your color scheme here.', ZEE_LANG),
					"id" => "themeZee_stylesheet",
					"std" => "",
					"type" => "select",
					"options" => $stylesheets);

$settings[] = array("name" => __('Custom Color', ZEE_LANG),
					"desc" => __("Select a custom color here (You have to select the 'custom color' option above).", ZEE_LANG),
					"id" => "themeZee_color",
					"std" => "",
					"type" => "colorpicker");

$settings[] = array("name" => __('Custom CSS', ZEE_LANG),
					"desc" => __('Insert your own custom css code into the head of the theme.', ZEE_LANG),
					"id" => "themeZee_custom_css",
					"std" => "",
					"type" => "textarea");
					
$settings[] = array("type" => "end");

#####################################################################
$settings[] = array("name" => "Featured Post Slider",
					"type" => "head");

$settings[] = array("name" => __('Show Post Slider?', ZEE_LANG),
					"desc" => __('Check this if you want to show the Featured Post Slider.', ZEE_LANG),
					"id" => "themeZee_show_slider",
					"std" => "true",
					"type" => "checkbox");
					
$settings[] = array("name" => __('Slider Title', ZEE_LANG),
					"desc" => __('Enter here your headline which is displayed above the featured posts.', ZEE_LANG),
					"id" => "themeZee_slider_title",
					"std" => "Featured Posts",
					"type" => "text");
					
$settings[] = array("name" => "Slider Effect",
					"desc" => "",
					"id" => "themeZee_slider_mode",
					"std" => "0",
					"type" => "radio",
					"options" => $slider_mode);
					
$settings[] = array("name" => __('Slider Content', ZEE_LANG),
					"desc" => "",
					"id" => "themeZee_slider_content",
					"std" => "0",
					"type" => "radio",
					"options" => $slider_content);
					
$settings[] = array("name" => __('category ID', ZEE_LANG),
					"desc" => __("Please enter the category ID you'd like to include in the slideshow.(You have to tick the last option above)", ZEE_LANG),
					"id" => "themeZee_slider_cat",
					"std" => "1",
					"type" => "text");

$settings[] = array("name" => __('Number of Posts', ZEE_LANG),
					"desc" => __('Enter the number how much posts should be displayed in the post slider.', ZEE_LANG),
					"id" => "themeZee_slider_limit",
					"std" => "5",
					"type" => "text");

$settings[] = array("type" => "end");

#####################################################################
$settings[] = array("name" => __('Social Media Buttons', ZEE_LANG),
					"type" => "head");

$settings[] = array("name" => "Email",
					"desc" => __('Enter your Email URL (e.g. Feedburner Email Subscription) here.', ZEE_LANG),
					"id" => "themeZee_email",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" => "Twitter",
					"desc" => __('Enter the URL to your Twitter Profile here.', ZEE_LANG),
					"id" => "themeZee_twitter",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" => "Facebook",
					"desc" => __('Enter the URL to your Facebook Profile here.', ZEE_LANG),
					"id" => "themeZee_facebook",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" => "Tumblr",
					"desc" => __('Enter the URL to your Tumblr Blog here.', ZEE_LANG),
					"id" => "themeZee_tumblr",
					"std" => "",
					"type" => "text");	
					
$settings[] = array("name" => "LinkedIn",
					"desc" => __('Enter the URL to your LinkedIn Profile here.', ZEE_LANG),
					"id" => "themeZee_linkedin",
					"std" => "",
					"type" => "text");	
					
$settings[] = array("name" => "Xing",
					"desc" => __('Enter the URL to your Xing Profile here.', ZEE_LANG),
					"id" => "themeZee_xing",
					"std" => "",
					"type" => "text");	
					
$settings[] = array("name" => "Delicious",
					"desc" => __('Enter the URL to your Delicious Profile here.', ZEE_LANG),
					"id" => "themeZee_delicious",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" => "Digg",
					"desc" => __('Enter the URL to your Digg Profile here.', ZEE_LANG),
					"id" => "themeZee_digg",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" => "Flickr",
					"desc" => __('Enter the URL to your Flickr Profile here.', ZEE_LANG),
					"id" => "themeZee_flickr",
					"std" => "",
					"type" => "text");	
					
$settings[] = array("name" => "Youtube",
					"desc" => __('Enter the URL to your Youtube Profile here.', ZEE_LANG),
					"id" => "themeZee_youtube",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" => "Vimeo",
					"desc" => __('Enter the URL to your Vimeo Profile here.', ZEE_LANG),
					"id" => "themeZee_vimeo",
					"std" => "",
					"type" => "text");				

$settings[] = array("type" => "end");

#####################################################################
$settings[] = array("name" => __('125x125 Ad Spots - can be activated as widget into sidebar', ZEE_LANG),
					"type" => "head");
					
$settings[] = array("name" => __('Rotate banners?', ZEE_LANG),
					"desc" => __('Check this to randomly rotate the ad spots.', ZEE_LANG),
					"id" => "themeZee_rotate",
					"std" => "true",
					"type" => "checkbox");	
					
$settings[] = array("type" => "break");

$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG) . ' #1',
					"desc" => __('Enter the image URL for this ad spot.', ZEE_LANG),
					"id" => "themeZee_ad_image_1",
					"std" => "",
					"type" => "text");
						
$settings[] = array("name" =>  __('Ad Spot Destination', ZEE_LANG) . ' #1',
					"desc" => __('Enter the URL where this ad spot points to.', ZEE_LANG),
					"id" => "themeZee_ad_url_1",
					"std" => "",
					"type" => "text");
					
$settings[] = array("type" => "break");

$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG) . ' #2',
					"desc" => "",
					"id" => "themeZee_ad_image_2",
					"std" => "",
					"type" => "text");
						
$settings[] = array("name" => __('Ad Spot Destination', ZEE_LANG) . ' #2',
					"desc" => "",
					"id" => "themeZee_ad_url_2",
					"std" => "",
					"type" => "text");

$settings[] = array("type" => "break");

$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG) . ' #3',
					"desc" => "",
					"id" => "themeZee_ad_image_3",
					"std" => "",
					"type" => "text");
						
$settings[] = array("name" => __('Ad Spot Destination', ZEE_LANG) . ' #3',
					"desc" => "",
					"id" => "themeZee_ad_url_3",
					"std" => "",
					"type" => "text");

$settings[] = array("type" => "break");

$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG) . ' #4',
					"desc" => "",
					"id" => "themeZee_ad_image_4",
					"std" => "",
					"type" => "text");
						
$settings[] = array("name" => __('Ad Spot Destination', ZEE_LANG) . ' #4',
					"desc" => "",
					"id" => "themeZee_ad_url_4",
					"std" => "",
					"type" => "text");

$settings[] = array("type" => "break");

$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG) . ' #5',
					"desc" => "",
					"id" => "themeZee_ad_image_5",
					"std" => "",
					"type" => "text");
						
$settings[] = array("name" => __('Ad Spot Destination', ZEE_LANG) . ' #5',
					"desc" => "",
					"id" => "themeZee_ad_url_5",
					"std" => "",
					"type" => "text");
					
$settings[] = array("type" => "break");

$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG) . ' #6',
					"desc" => "",
					"id" => "themeZee_ad_image_6",
					"std" => "",
					"type" => "text");
						
$settings[] = array("name" => __('Ad Spot Destination', ZEE_LANG) . ' #6',
					"desc" => "",
					"id" => "themeZee_ad_url_6",
					"std" => "",
					"type" => "text");
					
$settings[] = array("type" => "end");

#####################################################################
$settings[] = array("name" => __('468x60 Header Ad Spot', ZEE_LANG),
					"type" => "head");
					
$settings[] = array("name" => __('Ad Spot Image URL', ZEE_LANG),
					"desc" => __('Enter the image URL for this ad spot.', ZEE_LANG),
					"id" => "themeZee_ad_big_image",
					"std" => "",
					"type" => "text");
					
$settings[] = array("name" =>  __('Ad Spot Destination', ZEE_LANG),
					"desc" => __('Enter the URL where this ad spot points to.', ZEE_LANG),
					"id" => "themeZee_ad_big_url",
					"std" => "",
					"type" => "text");
					
$settings[] = array("type" => "end");
?>