(function() {
	
	// Load plugin specific language pack
	tinymce.PluginManager.requireLangPack('themezee_shortcode_buttons');
	
	tinymce.create('tinymce.plugins.themezee_shortcode_buttons', {		 
		init : function(ed, url) {
			
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('mce_themezee_shortcode_buttons', function() {
				
				ed.windowManager.open({
					
					file : url + '/lightbox.php',
					width : 360 + ed.getLang('themezee_shortcode_buttons.delta_width', 0),
					height : 270 + ed.getLang('themezee_shortcode_buttons.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});

			// Register example button
			ed.addButton('themezee_shortcode_buttons', {
				
				title : 'Shortcodes: Buttons',
				cmd : 'mce_themezee_shortcode_buttons',
				image : url + '/buttons.png'
				
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				
				cm.setActive('mce_themezee_shortcode_buttons', n.nodeName == 'IMG');
				
			});
		}
	});

	// Register plugin
	tinymce.PluginManager.add('themezee_shortcode_buttons', tinymce.plugins.themezee_shortcode_buttons);
	
})();